#tm-search-bar {
    display: flex;
    flex-wrap: wrap;
    width: auto;
    padding-left: 2rem;
    padding-right: 2rem;
    justify-content: center;
    margin-bottom: 2rem;
    padding-top: 1rem;
    padding-bottom: 1rem;
    border-top: 1px solid rgb(221, 221, 221);
    /*  border-bottom: 1px solid rgb(221, 221, 221);*/
    box-shadow: rgba(0, 0, 0, 0.12) 0px 6px 6px;
}

.tm-villa-detail-icon {
    display: inline-block;
    width: 22px;
    height: 22px;
    color: black;
    margin: auto;
}

.tm-filter-button {
    width: 242px;
    margin-left: 2rem;
    margin-top: 0.4rem;
    background-color: white;
    padding: 0.8rem;
    border: 1px solid lightgray;
    color: gray;
    cursor: pointer;
    position: relative;
}

#tm-calendar-clear-button {
    display: none;
    color: black;
}

#datepicker {
    display: inline-block;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    height: 100%;
    background-color: transparent;
    border: none;
    cursor: pointer;
    padding-right: 0;
    font-size: 0.9rem;
}

.tm-select-button {
    width: 100%;
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    opacity: 0;
    cursor: pointer;

    /* This is necessary to have the select take the full height on Safari*/
    -webkit-appearance: none;
}

.tm-ajax-loader-button {
    display: none;
}

.tm-villa-list {
    display: flex;
    flex-wrap: wrap;
    width: auto;
    padding-left: 2rem;
    padding-right: 2rem;
    justify-content: center;
}

.tm-villa-card {
    width: 400px;
    height: auto;
    display: flex;
    flex-wrap: wrap;
    margin-left: 1rem;
    margin-right: 1rem;
    margin-bottom: 2rem;
    border: 1px solid rgb(221, 221, 221);
    box-shadow: rgba(0, 0, 0, 0.12) 0px 6px 16px;
    background-color: #F1F0EF;
    position: relative;
}

.tm-villa-card .tm-new-banner {
    display: inline-block;
    position: absolute;
    top: 0.4rem;
    left: 0.4rem;
    background-color: #F1F0EF;
    padding: 0.4rem;
    border-radius: 8px;
    font-size: 0.8rem;
}

.tm-villa-card-text {
    width: 100%;
    margin-left: 1rem;
    margin-right: 1rem;
}

.tm-villa-card-text .tm-title {
    font-size: 1.17rem;
    font-weight: normal;
    margin-bottom: 0;
    font-family: 'Heebo', 'Open Sans', sans-serif;
}

.tm-villa-card a {
    display: inline-block;
    width: 100%;
}

.tm-villa-card img {
    width: 100%;
    height: 267px;
}

.tm-villa-card-location {
    color: rgb(59, 92, 138);
    font-weight: 600;
}

.tm-villa-card-features {
    font-size: 0.9rem;
    margin-top: 0.6rem;
    margin-bottom: 0.6rem;
}

.tm-villa-card-price {
    border-top: 1px solid lightgray;
    padding-top: 1rem;
    width: 100%;
}

h1 {
    text-align: center;
    color: rgb(181, 174, 155);
    margin-top: 2rem;
    margin-bottom: 2rem;
}

@media only screen and (max-width: 1024px) {
    h1 {
        padding-top: 1.6rem;

        /* TODO: Values below should be variabilized with #tm-title-block  */
        margin-left: 0.6rem;
        margin-right: 0.6rem;
    }

    #tm-search-bar {
        padding-top: 0;
    }

    #tm-search-bar div:nth-child(4) {
        margin-bottom: 0rem;
    }

    .tm-filter-button {
        margin-left: 0;
        width: 100%;
        margin-top: 0.8rem;
    }

    .tm-villa-card {
        margin-left: 1rem;
        margin-right: 1rem;
        margin-bottom: 1rem;
    }

    .tm-villa-list {
        padding-left: 0rem;
        padding-right: 0rem;
    }

    .tm-villa-card img {
        height: 200px;
    }
}